describe('App Module', function() {

    before(() => {
      return Edge.Client.connect();
    });
  
    after(() => {
      Edge.Client.disconnect();
    });
  
    it('should list apps', function() {
      return Edge.Client.rpc("listApps")
        .then(apps => {
          console.log("listApps result:", apps);
          chai.assert.isNotNull(apps);
          chai.assert.isAtLeast(apps.length, 1);
        })
    });

    it('should retrieve requested app', function() {
      return Edge.Client.rpc("getApp", { appId: "edge.sdk.client.test" })
        .then(app => {
          console.log("getApp result:", app);
          chai.assert.isNotNull(app);
          chai.assert.equal(app.id, "edge.sdk.client.test");
        })
    });

    it('should retrieve requested app url without from address', function() {
      return Edge.Client.rpc("getAppUrl", { appId: "edge.sdk.client.test" })
        .then(url => {
          console.log("getAppUrl result:", url);
          chai.assert.isNotEmpty(url);
        })
    });

    it('should retrieve requested app url with from address', function() {
      return Edge.Client.rpc("getAppUrl", { appId: "edge.sdk.client.test", from: "127.0.0.2" })
        .then(url => {
          console.log("getAppUrl result:", url);
          chai.assert.isNotEmpty(url);
        })
    });
  
});