describe('Share Module', function() {

    before(() => {
        return Edge.Client.connect();
    });

    after(() => {
        Edge.Client.disconnect();
    });

    it('should create a new resource and find it', async () => {
        const resource = await TestUtil.serverSideCall('share', 'upsertResource', 'my-resource', { name: "color", type: "text", value: "red" });
        chai.assert.isNotNull(resource);
        chai.assert.equal(resource.origin, 'edge.sdk.client.test')


        const results = await TestUtil.serverSideCall('share', 'findResources', 'color', 'text');
        chai.assert.isAbove(results.length, 0);

        const createdResource = results.find(res => {
            return res.origin === 'edge.sdk.client.test' && 
                res.attributes.find(attr => attr.name === 'color' && attr.type === 'text')
        })

        chai.assert.isNotNull(createdResource)
        
        console.log(createdResource)
    });
});